Subject: Re: [bug#45530] [PATCH] gnu: java-xstream: Update to 1.4.15.

From: Julien Lepiller <[email-masked]>
Date: Fri, 1 Jan 2021 00:36:35 +0100

Le Thu, 31 Dec 2020 13:52:51 -0500,
Leo Famulari <[email-masked]> a écrit :

> Pinging the Maven expert!
> 
> On Thu, Dec 31, 2020 at 03:00:39PM +0100, Vincent Legoll wrote:
> > Hello,
> > 
> > On Wed, Dec 30, 2020 at 10:11 PM Leo Famulari <[email-masked]>
> > wrote:  
> > > Are you able to build maven with the java-xstream update?  
> > 
> > I tried:
> > 
> > ./pre-inst-env guix build --no-grafts maven
> > 
> > which failed with:
> > 
> > BUILD FAILED
> > /tmp/guix-build-maven-wagon-http-3.3.4.drv-0/wagon-3.3.4/build.xml:1:
> > Test org.apache.maven.wagon.providers.http.HttpWagonErrorTest failed
> > 
> > Total time: 1 second
> > command "ant" "check" failed with status 1
> > builder for
> > `/gnu/store/pwmh9xclfmmacrw2ni989ha802fjmxqh-maven-wagon-http-3.3.4.drv'
> > failed with exit code 1 build of
> > /gnu/store/pwmh9xclfmmacrw2ni989ha802fjmxqh-maven-wagon-http-3.3.4.drv
> > failed View build log at
> > '/var/log/guix/drvs/pw/mh9xclfmmacrw2ni989ha802fjmxqh-maven-wagon-http-3.3.4.drv.bz2'.
> > cannot build derivation
> > `/gnu/store/9g3i7s3fyravk1q6mrdmqhi0dnszn5x7-maven-3.6.1.drv': 1
> > dependencies couldn't be built
> > guix build: error: build of
> > `/gnu/store/9g3i7s3fyravk1q6mrdmqhi0dnszn5x7-maven-3.6.1.drv' failed
> > vince@guix ~/dev/repo/guix [env]$ guix graph maven-wagon-http |
> > grep xstream
> > 
> > So I don't know what to conclude.
> > 
> > -- 
> > Vincent Legoll  

Weird, I'm able to build maven from master, and after that
maven-wagon-http is indeed not in the path from xstream to maven.

Since it does not create any new failure (I was able to build maven
with this patch), I pushed it as
fdf7095e856c3c13a54baee5d942d14e96f7fb4d.

Thank you!